/* ---------- DEFAULT: DESKTOP 1440×95 ---------- */
.bf-banner {
	
	font-family: "Monument Extended";
	  letter-spacing:1px;
	  font-weight:bold;
    width: 100%;
    height: 95px;
    background-image: url(/theme/img/bf2025/bg-desktop.png);
    background-size: cover;
    background-repeat: no-repeat;

    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}

.bf-dates-text{
    text-transform: uppercase;
    background-clip: text;
    background-image: linear-gradient(270deg, #C7B082 0%, #F3EAD1 10.98%, #CDB48D 34.12%, #AD9868 45.1%, #CDB48D 56.86%, #F3EAD1 76.86%, #C7B082 100%);
}

.bf-content {
    width: 100%;
    height: 100%;
    padding: 0 10%;

    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
}

.bf-left {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.bf-line {
    display: flex;
    align-items: center;
    gap: 12px;
}

.bf-title {
    font-size: 39px;
    font-weight: 900;
    color: #fff;
}

.bf-discount {
    font-size: 39px;
    font-weight: 900;
    color: #000;
    background: linear-gradient(270deg, #C7B082 0%, #F3EAD1 10.98%, #CDB48D 34.12%, #AD9868 45.1%, #CDB48D 56.86%, #F3EAD1 76.86%, #C7B082 100%);
    padding: 4px 16px;
    border-radius: 15px;
}

.bf-sub {
    font-size: 30px;
    font-weight: 800;
    color: #fff;
}

.bf-dates {
    font-family:"SF Pro Display";
    font-size: 14px;
    font-style:italic;
    font-weight: 400;
  	color: transparent;    
  	background: rgba(225, 215, 0, 0.1);
  	-webkit-border-image: linear-gradient(270deg, #C7B082 0%, #F3EAD1 10.98%, #CDB48D 34.12%, #AD9868 45.1%, #CDB48D 56.86%, #F3EAD1 76.86%, #C7B082 100%);
  	border-image: linear-gradient(270deg, #C7B082 0%, #F3EAD1 10.98%, #CDB48D 34.12%, #AD9868 45.1%, #CDB48D 56.86%, #F3EAD1 76.86%, #C7B082 100%);
    border: 2px solid #C7B082; 
    padding: 4px 16px;
    border-radius: 10px;
    margin-top: 7px;
    width: max-content;
}

.bf-percent {
    width: 95px;
    height: 95px;
}



/* ---------- TABLET: 744×95 ---------- */
@media (max-width: 900px) {
    .bf-banner {
        background-image: url('/theme/img/bf2025/bg-tablet.png');
        height: 95px;
    }

    .bf-content {
        padding: 0 20px;
        gap: 10px;
    }

    .bf-title {
        font-size: 26px;
    }

    .bf-discount {
        font-size: 22px;
        padding: 3px 14px;
    }

    .bf-sub {
        font-size: 18px;
    }

    .bf-dates {
        font-size: 12px;
        padding: 3px 12px;
    }

    .bf-percent {
        width: 65px;
        height: 65px;
    }
}



@media (max-width: 480px) {
    .bf-banner {
        background-image: url('/theme/img/bf2025/bg-mobile.png');
        height: 85px;
    }

    .bf-content {
        padding: 6px 10px;
        gap: 4px;


        flex-wrap: wrap;
        align-items: flex-start;
    }


    .bf-left {
        flex: 1;
        display: flex;
        flex-direction: column;
        align-items: flex-start;


        min-width: 0;
    }


    .bf-line {
        flex-wrap: wrap;
        width: 100%;
    }

    .bf-title {
        font-size: 20px;
        width: 100%;
        white-space: normal;
        line-height: 1.1;
    }

    .bf-discount {
        font-size: 19px;
        padding: 2px 10px;
        border-radius: 10px;
    }

    .bf-sub {
        font-size: 14px;
        white-space: normal;
    }

    .bf-dates {
        font-size: 11px;
        padding: 3px 10px;
        margin-top: 3px;
    }
    
    .bf-line {
        gap: 3px;
    }

    .bf-percent {
        width: 52px;
        height: 52px;
        align-self: center;
    }
}